// Code generated by mockery v2.30.16. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"

	service "gitlab.com/cyverse/cacao-common/service"
)

// OutgoingEventPort is an autogenerated mock type for the OutgoingEventPort type
type OutgoingEventPort struct {
	mock.Mock
}

// TokenCreateFailedEvent provides a mock function with given fields: _a0
func (_m *OutgoingEventPort) TokenCreateFailedEvent(_a0 service.TokenCreateModel) {
	_m.Called(_a0)
}

// TokenCreatedEvent provides a mock function with given fields: _a0
func (_m *OutgoingEventPort) TokenCreatedEvent(_a0 service.TokenCreateModel) {
	_m.Called(_a0)
}

// TokenDeleteFailedEvent provides a mock function with given fields: _a0
func (_m *OutgoingEventPort) TokenDeleteFailedEvent(_a0 service.TokenModel) {
	_m.Called(_a0)
}

// TokenDeletedEvent provides a mock function with given fields: _a0
func (_m *OutgoingEventPort) TokenDeletedEvent(_a0 service.TokenModel) {
	_m.Called(_a0)
}

// TokenRevokeFailedEvent provides a mock function with given fields: _a0
func (_m *OutgoingEventPort) TokenRevokeFailedEvent(_a0 service.TokenModel) {
	_m.Called(_a0)
}

// TokenRevokedEvent provides a mock function with given fields: _a0
func (_m *OutgoingEventPort) TokenRevokedEvent(_a0 service.TokenModel) {
	_m.Called(_a0)
}

// TokenUpdateFailedEvent provides a mock function with given fields: _a0
func (_m *OutgoingEventPort) TokenUpdateFailedEvent(_a0 service.TokenModel) {
	_m.Called(_a0)
}

// TokenUpdatedEvent provides a mock function with given fields: _a0
func (_m *OutgoingEventPort) TokenUpdatedEvent(_a0 service.TokenModel) {
	_m.Called(_a0)
}

// NewOutgoingEventPort creates a new instance of OutgoingEventPort. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
// The first argument is typically a *testing.T value.
func NewOutgoingEventPort(t interface {
	mock.TestingT
	Cleanup(func())
}) *OutgoingEventPort {
	mock := &OutgoingEventPort{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
